org.icefaces.ace.component.datatable

## Class DataTableBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - org.icefaces.ace.component.datatable.DataTableBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IDataTable
  Direct Known Subclasses:
    DataTable

      public abstract class DataTableBase
      extends javax.faces.component.UIData
      implements IDataTable, IceClientBehaviorHolder

  Renders an HTML table element. This table and its associated components offers support for features like: scrolling, sorting, filtering, row selection, row editing, lazy loading and expandable subrows and subpanels.

  For more information, see the DataTable Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `DataTableBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIData

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `java.lang.Object` | `getCachedGlobalFilter()` Return the value of the `cachedGlobalFilter` property.
    `java.lang.String` | `getCaption()` Return the value of the `caption` property.
    `java.util.List` | `getColumnOrdering()` Return the value of the `columnOrdering` property.
    `java.lang.String` | `getCurrentPageReportTemplate()` Return the value of the `currentPageReportTemplate` property.
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.lang.String` | `getEmptyMessage()` Return the value of the `emptyMessage` property.
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `java.util.List` | `getFilteredData()` Return the value of the `filteredData` property.
    `java.lang.String` | `getFilterEvent()` Return the value of the `filterEvent` property.
    `javax.el.MethodExpression` | `getFilterListener()` Return the value of the `filterListener` property.
    `java.lang.String` | `getFilterValue()` Return the value of the `filterValue` property.
    `java.lang.Integer` | `getForcedUpdateCounter()` Return the value of the `forcedUpdateCounter` property.
    `java.util.List` | `getHeaderColumnOrdering()` Return the value of the `headerColumnOrdering` property.
    `java.lang.Integer` | `getHeight()` Return the value of the `height` property.
    `java.lang.Long` | `getLastReordering()` Return the value of the `lastReordering` property.
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `int` | `getPage()` Return the value of the `page` property.
    `java.lang.Integer` | `getPageCount()` Return the value of the `pageCount` property.
    `java.lang.String` | `getPaginatorPosition()` Return the value of the `paginatorPosition` property.
    `java.lang.String` | `getPaginatorTemplate()` Return the value of the `paginatorTemplate` property.
    `java.lang.String` | `getRowIndexVar()` Return the value of the `rowIndexVar` property.
    `int` | `getRows()` Return the value of the `rows` property.
    `javax.el.MethodExpression` | `getRowSelectListener()` Return the value of the `rowSelectListener` property.
    `java.lang.String` | `getRowsPerPageTemplate()` Return the value of the `rowsPerPageTemplate` property.
    `java.lang.String` | `getRowStateVar()` Return the value of the `rowStateVar` property.
    `java.lang.String` | `getRowStyleClass()` Return the value of the `rowStyleClass` property.
    `javax.el.MethodExpression` | `getRowUnselectListener()` Return the value of the `rowUnselectListener` property.
    `java.lang.Integer` | `getScrollHeight()` Return the value of the `scrollHeight` property.
    `java.lang.String` | `getScrollWidthIE7()` Return the value of the `scrollWidthIE7` property.
    `java.lang.String` | `getSelectionMode()` Return the value of the `selectionMode` property.
    `RowStateMap` | `getStateMap()` Return the value of the `stateMap` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.Integer` | `getTabIndex()` Return the value of the `tabIndex` property.
    `java.lang.String` | `getTableConfigPanel()` Return the value of the `tableConfigPanel` property.
    `java.lang.Integer` | `getValueHashCode()` Return the value of the `valueHashCode` property.
    `java.lang.String` | `getWidgetVar()` Return the value of the `widgetVar` property.
    `boolean` | `isAllowTableResizing()` Return the value of the `allowTableResizing` property.
    `java.lang.Boolean` | `isAlwaysExecuteContents()` Return the value of the `alwaysExecuteContents` property.
    `java.lang.Boolean` | `isApplyingFilters()` Return the value of the `applyingFilters` property.
    `java.lang.Boolean` | `isApplyingSorts()` Return the value of the `applyingSorts` property.
    `boolean` | `isClickableHeaderSorting()` Return the value of the `clickableHeaderSorting` property.
    `boolean` | `isColumnPinning()` Return the value of the `columnPinning` property.
    `boolean` | `isColumnPinningControlsInHeader()` Return the value of the `columnPinningControlsInHeader` property.
    `boolean` | `isColumnsInheritProperties()` Return the value of the `columnsInheritProperties` property.
    `boolean` | `isConstantRefilter()` Return the value of the `constantRefilter` property.
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `boolean` | `isDoubleClickSelect()` Return the value of the `doubleClickSelect` property.
    `boolean` | `isGroupedFilterResults()` Return the value of the `groupedFilterResults` property.
    `java.lang.Boolean` | `isHiddenScrollableSizing()` Return the value of the `hiddenScrollableSizing` property.
    `boolean` | `isLazy()` Return the value of the `lazy` property.
    `boolean` | `isLiveScroll()` Return the value of the `liveScroll` property.
    `boolean` | `isPaginator()` Return the value of the `paginator` property.
    `boolean` | `isPaginatorAlwaysVisible()` Return the value of the `paginatorAlwaysVisible` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isRenderRowTabindex()` Return the value of the `renderRowTabindex` property.
    `boolean` | `isReorderableColumns()` Return the value of the `reorderableColumns` property.
    `boolean` | `isResizableColumns()` Return the value of the `resizableColumns` property.
    `boolean` | `isScrollable()` Return the value of the `scrollable` property.
    `boolean` | `isSingleSort()` Return the value of the `singleSort` property.
    `java.lang.Boolean` | `isStaticHeaders()` Return the value of the `staticHeaders` property.
    `java.lang.Boolean` | `isToggleOnInvalidEdit()` Return the value of the `toggleOnInvalidEdit` property.
    `void` | `setAllowTableResizing(boolean allowTableResizing)` Set the value of the `allowTableResizing` property.
    `void` | `setAlwaysExecuteContents(java.lang.Boolean alwaysExecuteContents)` Set the value of the `alwaysExecuteContents` property.
    `void` | `setApplyingFilters(java.lang.Boolean applyingFilters)` Set the value of the `applyingFilters` property.
    `void` | `setApplyingSorts(java.lang.Boolean applyingSorts)` Set the value of the `applyingSorts` property.
    `void` | `setCachedGlobalFilter(java.lang.Object cachedGlobalFilter)` Set the value of the `cachedGlobalFilter` property.
    `void` | `setCaption(java.lang.String caption)` Set the value of the `caption` property.
    `void` | `setClickableHeaderSorting(boolean clickableHeaderSorting)` Set the value of the `clickableHeaderSorting` property.
    `void` | `setColumnOrdering(java.util.List columnOrdering)` Set the value of the `columnOrdering` property.
    `void` | `setColumnPinning(boolean columnPinning)` Set the value of the `columnPinning` property.
    `void` | `setColumnPinningControlsInHeader(boolean columnPinningControlsInHeader)` Set the value of the `columnPinningControlsInHeader` property.
    `void` | `setColumnsInheritProperties(boolean columnsInheritProperties)` Set the value of the `columnsInheritProperties` property.
    `void` | `setConstantRefilter(boolean constantRefilter)` Set the value of the `constantRefilter` property.
    `void` | `setCurrentPageReportTemplate(java.lang.String currentPageReportTemplate)` Set the value of the `currentPageReportTemplate` property.
    `void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
    `void` | `setDoubleClickSelect(boolean doubleClickSelect)` Set the value of the `doubleClickSelect` property.
    `void` | `setEmptyMessage(java.lang.String emptyMessage)` Set the value of the `emptyMessage` property.
    `void` | `setFilteredData(java.util.List filteredData)` Set the value of the `filteredData` property.
    `void` | `setFilterEvent(java.lang.String filterEvent)` Set the value of the `filterEvent` property.
    `void` | `setFilterListener(javax.el.MethodExpression filterListener)` Set the value of the `filterListener` property.
    `void` | `setFilterValue(java.lang.String filterValue)` Set the value of the `filterValue` property.
    `void` | `setForcedUpdateCounter(java.lang.Integer forcedUpdateCounter)` Set the value of the `forcedUpdateCounter` property.
    `void` | `setGroupedFilterResults(boolean groupedFilterResults)` Set the value of the `groupedFilterResults` property.
    `void` | `setHeaderColumnOrdering(java.util.List headerColumnOrdering)` Set the value of the `headerColumnOrdering` property.
    `void` | `setHeight(java.lang.Integer height)` Set the value of the `height` property.
    `void` | `setHiddenScrollableSizing(java.lang.Boolean hiddenScrollableSizing)` Set the value of the `hiddenScrollableSizing` property.
    `void` | `setLastReordering(java.lang.Long lastReordering)` Set the value of the `lastReordering` property.
    `void` | `setLazy(boolean lazy)` Set the value of the `lazy` property.
    `void` | `setLiveScroll(boolean liveScroll)` Set the value of the `liveScroll` property.
    `void` | `setPage(int page)` Set the value of the `page` property.
    `void` | `setPageCount(java.lang.Integer pageCount)` Set the value of the `pageCount` property.
    `void` | `setPaginator(boolean paginator)` Set the value of the `paginator` property.
    `void` | `setPaginatorAlwaysVisible(boolean paginatorAlwaysVisible)` Set the value of the `paginatorAlwaysVisible` property.
    `void` | `setPaginatorPosition(java.lang.String paginatorPosition)` Set the value of the `paginatorPosition` property.
    `void` | `setPaginatorTemplate(java.lang.String paginatorTemplate)` Set the value of the `paginatorTemplate` property.
    `void` | `setRenderRowTabindex(boolean renderRowTabindex)` Set the value of the `renderRowTabindex` property.
    `void` | `setReorderableColumns(boolean reorderableColumns)` Set the value of the `reorderableColumns` property.
    `void` | `setResizableColumns(boolean resizableColumns)` Set the value of the `resizableColumns` property.
    `void` | `setRowIndexVar(java.lang.String rowIndexVar)` Set the value of the `rowIndexVar` property.
    `void` | `setRows(int rows)` Set the value of the `rows` property.
    `void` | `setRowSelectListener(javax.el.MethodExpression rowSelectListener)` Set the value of the `rowSelectListener` property.
    `void` | `setRowsPerPageTemplate(java.lang.String rowsPerPageTemplate)` Set the value of the `rowsPerPageTemplate` property.
    `void` | `setRowStateVar(java.lang.String rowStateVar)` Set the value of the `rowStateVar` property.
    `void` | `setRowStyleClass(java.lang.String rowStyleClass)` Set the value of the `rowStyleClass` property.
    `void` | `setRowUnselectListener(javax.el.MethodExpression rowUnselectListener)` Set the value of the `rowUnselectListener` property.
    `void` | `setScrollable(boolean scrollable)` Set the value of the `scrollable` property.
    `void` | `setScrollHeight(java.lang.Integer scrollHeight)` Set the value of the `scrollHeight` property.
    `void` | `setScrollWidthIE7(java.lang.String scrollWidthIE7)` Set the value of the `scrollWidthIE7` property.
    `void` | `setSelectionMode(java.lang.String selectionMode)` Set the value of the `selectionMode` property.
    `void` | `setSingleSort(boolean singleSort)` Set the value of the `singleSort` property.
    `void` | `setStateMap(RowStateMap stateMap)` Set the value of the `stateMap` property.
    `void` | `setStaticHeaders(java.lang.Boolean staticHeaders)` Set the value of the `staticHeaders` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTabIndex(java.lang.Integer tabIndex)` Set the value of the `tabIndex` property.
    `void` | `setTableConfigPanel(java.lang.String tableConfigPanel)` Set the value of the `tableConfigPanel` property.
    `void` | `setToggleOnInvalidEdit(java.lang.Boolean toggleOnInvalidEdit)` Set the value of the `toggleOnInvalidEdit` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setValueHashCode(java.lang.Integer valueHashCode)` Set the value of the `valueHashCode` property.
    `void` | `setWidgetVar(java.lang.String widgetVar)` Set the value of the `widgetVar` property.

    - ### Methods inherited from class javax.faces.component.UIData

      `broadcast, createUniqueId, encodeBegin, getClientId, getDataModel, getFirst, getFooter, getHeader, getRowCount, getRowData, getRowIndex, getValue, getVar, invokeOnComponent, isRowAvailable, isRowStatePreserved, markInitialState, processDecodes, processUpdates, processValidators, queueEvent, restoreState, saveState, setDataModel, setFirst, setFooter, setHeader, setRowIndex, setRowStatePreserved, setValue, setValueBinding, setVar, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, clearInitialState, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataTableBase

          public DataTableBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIData`

    - #### setAllowTableResizing

          public void setAllowTableResizing(boolean allowTableResizing)

      Set the value of the `allowTableResizing` property.

      Contents: When 'resizableColumns' is enabled, allow the table to also increase or decrease in width proportionally to the column being resized. In the normal mode, when resizing a column, tables maintain their original widths, and a specific column is made wider by making other columns narrower. HTML has a limitation that prevents table columns to be narrower than their contents. This mode is mainly oriented to tables that have too many columns that they can't fit in the viewport width, resulting impossible to make a column wider in the normal mode due to this HTML limitation.

      Specified by:
        `setAllowTableResizing` in interface `IDataTable`

    - #### isAllowTableResizing

          public boolean isAllowTableResizing()

      Return the value of the `allowTableResizing` property.

      Contents: When 'resizableColumns' is enabled, allow the table to also increase or decrease in width proportionally to the column being resized. In the normal mode, when resizing a column, tables maintain their original widths, and a specific column is made wider by making other columns narrower. HTML has a limitation that prevents table columns to be narrower than their contents. This mode is mainly oriented to tables that have too many columns that they can't fit in the viewport width, resulting impossible to make a column wider in the normal mode due to this HTML limitation.

      Specified by:
        `isAllowTableResizing` in interface `IDataTable`

    - #### setAlwaysExecuteContents

          public void setAlwaysExecuteContents(java.lang.Boolean alwaysExecuteContents)

      Set the value of the `alwaysExecuteContents` property.

      Contents: Enable the decoding of child components during table feature requests. The table attempts to decode children whenever it is executed, meaning whenever a parent region is submitted, or the table submits itself to paginate, make a selection, reorder columns, or any other feature. Decoding children during feature requests can result in unwanted input submission (during pagination for example), so by default this component suppresses child decoding whenever submitting itself. To cause decoding in the children of the table, use the row editing feature for row-scoped input decoding, ajax submit the form (or other table parent) for broad decodingor enable this option to submit during all table operations.

      Specified by:
        `setAlwaysExecuteContents` in interface `IDataTable`

    - #### isAlwaysExecuteContents

          public java.lang.Boolean isAlwaysExecuteContents()

      Return the value of the `alwaysExecuteContents` property.

      Contents: Enable the decoding of child components during table feature requests. The table attempts to decode children whenever it is executed, meaning whenever a parent region is submitted, or the table submits itself to paginate, make a selection, reorder columns, or any other feature. Decoding children during feature requests can result in unwanted input submission (during pagination for example), so by default this component suppresses child decoding whenever submitting itself. To cause decoding in the children of the table, use the row editing feature for row-scoped input decoding, ajax submit the form (or other table parent) for broad decodingor enable this option to submit during all table operations. Default = 'false'.

      Specified by:
        `isAlwaysExecuteContents` in interface `IDataTable`

    - #### setCaption

          public void setCaption(java.lang.String caption)

      Set the value of the `caption` property.

      Contents: Causes a caption element to be rendered with the specified text, in order to facilitate better screen reader support and accessibility for this table.

      Specified by:
        `setCaption` in interface `IDataTable`

    - #### getCaption

          public java.lang.String getCaption()

      Return the value of the `caption` property.

      Contents: Causes a caption element to be rendered with the specified text, in order to facilitate better screen reader support and accessibility for this table.

      Specified by:
        `getCaption` in interface `IDataTable`

    - #### setClickableHeaderSorting

          public void setClickableHeaderSorting(boolean clickableHeaderSorting)

      Set the value of the `clickableHeaderSorting` property.

      Contents: Enabling makes the entire header container the clickable region for sort events.

      Specified by:
        `setClickableHeaderSorting` in interface `IDataTable`

    - #### isClickableHeaderSorting

          public boolean isClickableHeaderSorting()

      Return the value of the `clickableHeaderSorting` property.

      Contents: Enabling makes the entire header container the clickable region for sort events. Default = 'true'.

      Specified by:
        `isClickableHeaderSorting` in interface `IDataTable`

    - #### setColumnOrdering

          public void setColumnOrdering(java.util.List columnOrdering)

      Set the value of the `columnOrdering` property.

      Contents: Defines a list of integers representing a rendering order for the Column children of the table.

      Specified by:
        `setColumnOrdering` in interface `IDataTable`

    - #### getColumnOrdering

          public java.util.List getColumnOrdering()

      Return the value of the `columnOrdering` property.

      Contents: Defines a list of integers representing a rendering order for the Column children of the table.

      Specified by:
        `getColumnOrdering` in interface `IDataTable`

    - #### setColumnPinning

          public void setColumnPinning(boolean columnPinning)

      Set the value of the `columnPinning` property.

      Contents: Enable statically positioned columns along the left hand side of a scrollable table.

      Specified by:
        `setColumnPinning` in interface `IDataTable`

    - #### isColumnPinning

          public boolean isColumnPinning()

      Return the value of the `columnPinning` property.

      Contents: Enable statically positioned columns along the left hand side of a scrollable table.

      Specified by:
        `isColumnPinning` in interface `IDataTable`

    - #### setColumnPinningControlsInHeader

          public void setColumnPinningControlsInHeader(boolean columnPinningControlsInHeader)

      Set the value of the `columnPinningControlsInHeader` property.

      Contents: Enable client controls to add column to the list of statically positioned columns.

      Specified by:
        `setColumnPinningControlsInHeader` in interface `IDataTable`

    - #### isColumnPinningControlsInHeader

          public boolean isColumnPinningControlsInHeader()

      Return the value of the `columnPinningControlsInHeader` property.

      Contents: Enable client controls to add column to the list of statically positioned columns.

      Specified by:
        `isColumnPinningControlsInHeader` in interface `IDataTable`

    - #### setColumnsInheritProperties

          public void setColumnsInheritProperties(boolean columnsInheritProperties)

      Set the value of the `columnsInheritProperties` property.

      Contents: To reduce redundancy in markup, body columns can detect which header column that they correspond to, and inherit sorting, filtering and grouping properties from it. Previously, it was necessary to provide the same properties and values on both components, but now it's possible to specify them on the header column, and have the body column inherit them automatically. If a property is specified on the body column, then that will take precedence for it.

      Specified by:
        `setColumnsInheritProperties` in interface `IDataTable`

    - #### isColumnsInheritProperties

          public boolean isColumnsInheritProperties()

      Return the value of the `columnsInheritProperties` property.

      Contents: To reduce redundancy in markup, body columns can detect which header column that they correspond to, and inherit sorting, filtering and grouping properties from it. Previously, it was necessary to provide the same properties and values on both components, but now it's possible to specify them on the header column, and have the body column inherit them automatically. If a property is specified on the body column, then that will take precedence for it. Default = 'true'.

      Specified by:
        `isColumnsInheritProperties` in interface `IDataTable`

    - #### setConstantRefilter

          public void setConstantRefilter(boolean constantRefilter)

      Set the value of the `constantRefilter` property.

      Contents: Enable to force creation of the filtered data set from the bound value every render. Alternately attempt to use hashCodes of the value property to detect changes and prompt refiltering.

      Specified by:
        `setConstantRefilter` in interface `IDataTable`

    - #### isConstantRefilter

          public boolean isConstantRefilter()

      Return the value of the `constantRefilter` property.

      Contents: Enable to force creation of the filtered data set from the bound value every render. Alternately attempt to use hashCodes of the value property to detect changes and prompt refiltering. Default = 'false'.

      Specified by:
        `isConstantRefilter` in interface `IDataTable`

    - #### setCurrentPageReportTemplate

          public void setCurrentPageReportTemplate(java.lang.String currentPageReportTemplate)

      Set the value of the `currentPageReportTemplate` property.

      Contents: Defines a coded string representing the layout of the text displaying the current page. The keywords available are {currentPage}, {totalPages}, {startRecord}, {endRecord}, and {totalRecords}. Default is: "({currentPage} of {totalPages})".

      Specified by:
        `setCurrentPageReportTemplate` in interface `IDataTable`

    - #### getCurrentPageReportTemplate

          public java.lang.String getCurrentPageReportTemplate()

      Return the value of the `currentPageReportTemplate` property.

      Contents: Defines a coded string representing the layout of the text displaying the current page. The keywords available are {currentPage}, {totalPages}, {startRecord}, {endRecord}, and {totalRecords}. Default is: "({currentPage} of {totalPages})".

      Specified by:
        `getCurrentPageReportTemplate` in interface `IDataTable`

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Set the value of the `disabled` property.

      Contents: Disable all features of the data table.

      Specified by:
        `setDisabled` in interface `IDataTable`

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

      Contents: Disable all features of the data table. Default = 'false'.

      Specified by:
        `isDisabled` in interface `IDataTable`

    - #### setDoubleClickSelect

          public void setDoubleClickSelect(boolean doubleClickSelect)

      Set the value of the `doubleClickSelect` property.

      Contents: Enable to require a double-click to fire row/cell selection events.

      Specified by:
        `setDoubleClickSelect` in interface `IDataTable`

    - #### isDoubleClickSelect

          public boolean isDoubleClickSelect()

      Return the value of the `doubleClickSelect` property.

      Contents: Enable to require a double-click to fire row/cell selection events.

      Specified by:
        `isDoubleClickSelect` in interface `IDataTable`

    - #### setEmptyMessage

          public void setEmptyMessage(java.lang.String emptyMessage)

      Set the value of the `emptyMessage` property.

      Contents: Define a string to render when there are no records to display.

      Specified by:
        `setEmptyMessage` in interface `IDataTable`

    - #### getEmptyMessage

          public java.lang.String getEmptyMessage()

      Return the value of the `emptyMessage` property.

      Contents: Define a string to render when there are no records to display.

      Specified by:
        `getEmptyMessage` in interface `IDataTable`

    - #### setFilterEvent

          public void setFilterEvent(java.lang.String filterEvent)

      Set the value of the `filterEvent` property.

      Contents: Defines the Javascript event on which to trigger filter event, ex. 'keyup', 'blur', 'change' and 'enter'.

      Specified by:
        `setFilterEvent` in interface `IDataTable`

    - #### getFilterEvent

          public java.lang.String getFilterEvent()

      Return the value of the `filterEvent` property.

      Contents: Defines the Javascript event on which to trigger filter event, ex. 'keyup', 'blur', 'change' and 'enter'. Default = 'change'.

      Specified by:
        `getFilterEvent` in interface `IDataTable`

    - #### setFilterListener

          public void setFilterListener(javax.el.MethodExpression filterListener)

      Set the value of the `filterListener` property.

      Contents: MethodExpression reference called whenever the table row is filtered. The method receives a single argument, TableFilterEvent.

      Specified by:
        `setFilterListener` in interface `IDataTable`

    - #### getFilterListener

          public javax.el.MethodExpression getFilterListener()

      Return the value of the `filterListener` property.

      Contents: MethodExpression reference called whenever the table row is filtered. The method receives a single argument, TableFilterEvent.

      Specified by:
        `getFilterListener` in interface `IDataTable`

    - #### setFilterValue

          public void setFilterValue(java.lang.String filterValue)

      Set the value of the `filterValue` property.

      Contents: Defines the input to the column non-specific filter, coming from the client, or from the app via a value binding.

      Specified by:
        `setFilterValue` in interface `IDataTable`

    - #### getFilterValue

          public java.lang.String getFilterValue()

      Return the value of the `filterValue` property.

      Contents: Defines the input to the column non-specific filter, coming from the client, or from the app via a value binding.

      Specified by:
        `getFilterValue` in interface `IDataTable`

    - #### setGroupedFilterResults

          public void setGroupedFilterResults(boolean groupedFilterResults)

      Set the value of the `groupedFilterResults` property.

      Contents: Enable to display all members of groups (as defined by ace:column groupBy) that contain a matching row during filtering.

      Specified by:
        `setGroupedFilterResults` in interface `IDataTable`

    - #### isGroupedFilterResults

          public boolean isGroupedFilterResults()

      Return the value of the `groupedFilterResults` property.

      Contents: Enable to display all members of groups (as defined by ace:column groupBy) that contain a matching row during filtering.

      Specified by:
        `isGroupedFilterResults` in interface `IDataTable`

    - #### setHeaderColumnOrdering

          public void setHeaderColumnOrdering(java.util.List headerColumnOrdering)

      Set the value of the `headerColumnOrdering` property.

      Contents: Defines a list of integers representing a rendering order for the Column children of the header columnGroup. This is separate from the columnOrdering property to maintain backwards compatibility and simplify application code when columns are added or removed. Both properties should be maintained in sync with each other.

      Specified by:
        `setHeaderColumnOrdering` in interface `IDataTable`

    - #### getHeaderColumnOrdering

          public java.util.List getHeaderColumnOrdering()

      Return the value of the `headerColumnOrdering` property.

      Contents: Defines a list of integers representing a rendering order for the Column children of the header columnGroup. This is separate from the columnOrdering property to maintain backwards compatibility and simplify application code when columns are added or removed. Both properties should be maintained in sync with each other.

      Specified by:
        `getHeaderColumnOrdering` in interface `IDataTable`

    - #### setHeight

          public void setHeight(java.lang.Integer height)

      Set the value of the `height` property.

      Contents: Defines a fixed height for the scrollable table in pixels. Deprecated; superseded by scrollHeight.

      Specified by:
        `setHeight` in interface `IDataTable`

    - #### getHeight

          public java.lang.Integer getHeight()

      Return the value of the `height` property.

      Contents: Defines a fixed height for the scrollable table in pixels. Deprecated; superseded by scrollHeight.

      Specified by:
        `getHeight` in interface `IDataTable`

    - #### setHiddenScrollableSizing

          public void setHiddenScrollableSizing(java.lang.Boolean hiddenScrollableSizing)

      Set the value of the `hiddenScrollableSizing` property.

      Contents: Enable the default handling of the scrollable table when rendered into a hidden page region. The table attempts to poll its hidden status, looking for when it is shown and then call the scrollable table sizing JavaScript. This can be expensive in environments of reduced JavaScript performance with many tables and a complex DOM. When this is disabled, upon revealing a hidden scrollable table, to ensure it is sized correctly the JS 'tableWidgetVar.resizeScrolling()' function must be called.

      Specified by:
        `setHiddenScrollableSizing` in interface `IDataTable`

    - #### isHiddenScrollableSizing

          public java.lang.Boolean isHiddenScrollableSizing()

      Return the value of the `hiddenScrollableSizing` property.

      Contents: Enable the default handling of the scrollable table when rendered into a hidden page region. The table attempts to poll its hidden status, looking for when it is shown and then call the scrollable table sizing JavaScript. This can be expensive in environments of reduced JavaScript performance with many tables and a complex DOM. When this is disabled, upon revealing a hidden scrollable table, to ensure it is sized correctly the JS 'tableWidgetVar.resizeScrolling()' function must be called. Default = 'true'.

      Specified by:
        `isHiddenScrollableSizing` in interface `IDataTable`

    - #### setLazy

          public void setLazy(boolean lazy)

      Set the value of the `lazy` property.

      Contents: Enables lazy loading. Lazy loading expects the 'value' property to reference an instance of LazyDataModel, an interface to support incremental fetching of table entities.

      Specified by:
        `setLazy` in interface `IDataTable`

    - #### isLazy

          public boolean isLazy()

      Return the value of the `lazy` property.

      Contents: Enables lazy loading. Lazy loading expects the 'value' property to reference an instance of LazyDataModel, an interface to support incremental fetching of table entities.

      Specified by:
        `isLazy` in interface `IDataTable`

    - #### setLiveScroll

          public void setLiveScroll(boolean liveScroll)

      Set the value of the `liveScroll` property.

      Contents: Enables the table to insert additional rows as scrolling reaches the bottom of the table. The 'rows' property configures the number of new rows to be loaded. Note: This feature is deprecated as of version 3.1 and is not supported. This property will be removed in a future release.

      Specified by:
        `setLiveScroll` in interface `IDataTable`

    - #### isLiveScroll

          public boolean isLiveScroll()

      Return the value of the `liveScroll` property.

      Contents: Enables the table to insert additional rows as scrolling reaches the bottom of the table. The 'rows' property configures the number of new rows to be loaded. Note: This feature is deprecated as of version 3.1 and is not supported. This property will be removed in a future release.

      Specified by:
        `isLiveScroll` in interface `IDataTable`

    - #### setPage

          public void setPage(int page)

      Set the value of the `page` property.

      Contents: Defines the index of the current page, beginning at 1.

      Specified by:
        `setPage` in interface `IDataTable`

    - #### getPage

          public int getPage()

      Return the value of the `page` property.

      Contents: Defines the index of the current page, beginning at 1.

      Specified by:
        `getPage` in interface `IDataTable`

    - #### setPageCount

          public void setPageCount(java.lang.Integer pageCount)

      Set the value of the `pageCount` property.

      Contents: Defines the maximum number of individual page links to display in paginator.

      Specified by:
        `setPageCount` in interface `IDataTable`

    - #### getPageCount

          public java.lang.Integer getPageCount()

      Return the value of the `pageCount` property.

      Contents: Defines the maximum number of individual page links to display in paginator. Default = '10'.

      Specified by:
        `getPageCount` in interface `IDataTable`

    - #### setPaginator

          public void setPaginator(boolean paginator)

      Set the value of the `paginator` property.

      Contents: Enables pagination on the table. Note that the paginator works by adjusting the 'first' and 'page' properties and that disabling the paginator will not return these properties to their defaults; instead leaving the table at the position that was paginated to. To return the table to the first page, 'first' must be set to 0, or 'page' must be set to 1.Alternately the table has a convenience method for this, DataTable.resetPagination().

      Specified by:
        `setPaginator` in interface `IDataTable`

    - #### isPaginator

          public boolean isPaginator()

      Return the value of the `paginator` property.

      Contents: Enables pagination on the table. Note that the paginator works by adjusting the 'first' and 'page' properties and that disabling the paginator will not return these properties to their defaults; instead leaving the table at the position that was paginated to. To return the table to the first page, 'first' must be set to 0, or 'page' must be set to 1.Alternately the table has a convenience method for this, DataTable.resetPagination().

      Specified by:
        `isPaginator` in interface `IDataTable`

    - #### setPaginatorAlwaysVisible

          public void setPaginatorAlwaysVisible(boolean paginatorAlwaysVisible)

      Set the value of the `paginatorAlwaysVisible` property.

      Contents: Defines whether the paginator always displays, even when fewer then 1 page full of items are displayed.

      Specified by:
        `setPaginatorAlwaysVisible` in interface `IDataTable`

    - #### isPaginatorAlwaysVisible

          public boolean isPaginatorAlwaysVisible()

      Return the value of the `paginatorAlwaysVisible` property.

      Contents: Defines whether the paginator always displays, even when fewer then 1 page full of items are displayed.

      Specified by:
        `isPaginatorAlwaysVisible` in interface `IDataTable`

    - #### setPaginatorPosition

          public void setPaginatorPosition(java.lang.String paginatorPosition)

      Set the value of the `paginatorPosition` property.

      Contents: Defines the location of the paginator if enabled. Available options are top, bottom, or the default, both.

      Specified by:
        `setPaginatorPosition` in interface `IDataTable`

    - #### getPaginatorPosition

          public java.lang.String getPaginatorPosition()

      Return the value of the `paginatorPosition` property.

      Contents: Defines the location of the paginator if enabled. Available options are top, bottom, or the default, both. Default = 'both'.

      Specified by:
        `getPaginatorPosition` in interface `IDataTable`

    - #### setPaginatorTemplate

          public void setPaginatorTemplate(java.lang.String paginatorTemplate)

      Set the value of the `paginatorTemplate` property.

      Contents: Defines a coded string representing the controls available as part of the paginator. Default is: "{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}".

      Specified by:
        `setPaginatorTemplate` in interface `IDataTable`

    - #### getPaginatorTemplate

          public java.lang.String getPaginatorTemplate()

      Return the value of the `paginatorTemplate` property.

      Contents: Defines a coded string representing the controls available as part of the paginator. Default is: "{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}".

      Specified by:
        `getPaginatorTemplate` in interface `IDataTable`

    - #### setRenderRowTabindex

          public void setRenderRowTabindex(boolean renderRowTabindex)

      Set the value of the `renderRowTabindex` property.

      Contents: Row tabindex is required for dataTable Find feature and for selecting rows by using the keyboard. If the Find or Row Selection features are not used and the tabindex interferes with tabbing through inputs in the table, set this to false.

      Specified by:
        `setRenderRowTabindex` in interface `IDataTable`

    - #### isRenderRowTabindex

          public boolean isRenderRowTabindex()

      Return the value of the `renderRowTabindex` property.

      Contents: Row tabindex is required for dataTable Find feature and for selecting rows by using the keyboard. If the Find or Row Selection features are not used and the tabindex interferes with tabbing through inputs in the table, set this to false. Default = 'true'.

      Specified by:
        `isRenderRowTabindex` in interface `IDataTable`

    - #### setReorderableColumns

          public void setReorderableColumns(boolean reorderableColumns)

      Set the value of the `reorderableColumns` property.

      Contents: Enable reordering of the table columns via header dragging.

      Specified by:
        `setReorderableColumns` in interface `IDataTable`

    - #### isReorderableColumns

          public boolean isReorderableColumns()

      Return the value of the `reorderableColumns` property.

      Contents: Enable reordering of the table columns via header dragging.

      Specified by:
        `isReorderableColumns` in interface `IDataTable`

    - #### setResizableColumns

          public void setResizableColumns(boolean resizableColumns)

      Set the value of the `resizableColumns` property.

      Contents: Enable resizing of the table columns via handles on the column headers.

      Specified by:
        `setResizableColumns` in interface `IDataTable`

    - #### isResizableColumns

          public boolean isResizableColumns()

      Return the value of the `resizableColumns` property.

      Contents: Enable resizing of the table columns via handles on the column headers.

      Specified by:
        `isResizableColumns` in interface `IDataTable`

    - #### setRowIndexVar

          public void setRowIndexVar(java.lang.String rowIndexVar)

      Set the value of the `rowIndexVar` property.

      Contents: The request-scope attribute (if any) under which the data object index for the current row will be exposed when iterating.

      Specified by:
        `setRowIndexVar` in interface `IDataTable`

    - #### getRowIndexVar

          public java.lang.String getRowIndexVar()

      Return the value of the `rowIndexVar` property.

      Contents: The request-scope attribute (if any) under which the data object index for the current row will be exposed when iterating.

      Specified by:
        `getRowIndexVar` in interface `IDataTable`

    - #### setRowSelectListener

          public void setRowSelectListener(javax.el.MethodExpression rowSelectListener)

      Set the value of the `rowSelectListener` property.

      Contents: MethodExpression reference called whenever a table element is selected. The method receives a single argument, SelectEvent.

      Specified by:
        `setRowSelectListener` in interface `IDataTable`

    - #### getRowSelectListener

          public javax.el.MethodExpression getRowSelectListener()

      Return the value of the `rowSelectListener` property.

      Contents: MethodExpression reference called whenever a table element is selected. The method receives a single argument, SelectEvent.

      Specified by:
        `getRowSelectListener` in interface `IDataTable`

    - #### setRowStateVar

          public void setRowStateVar(java.lang.String rowStateVar)

      Set the value of the `rowStateVar` property.

      Contents: The request-scope attribute (if any) under which the table state object for the current row will be exposed when iterating.

      Specified by:
        `setRowStateVar` in interface `IDataTable`

    - #### getRowStateVar

          public java.lang.String getRowStateVar()

      Return the value of the `rowStateVar` property.

      Contents: The request-scope attribute (if any) under which the table state object for the current row will be exposed when iterating. Default = 'rowState'.

      Specified by:
        `getRowStateVar` in interface `IDataTable`

    - #### setRowStyleClass

          public void setRowStyleClass(java.lang.String rowStyleClass)

      Set the value of the `rowStyleClass` property.

      Contents: Define css classes for each row of the dataTable. EL can be used in this attribute to produce conditional row styling.

      Specified by:
        `setRowStyleClass` in interface `IDataTable`

    - #### getRowStyleClass

          public java.lang.String getRowStyleClass()

      Return the value of the `rowStyleClass` property.

      Contents: Define css classes for each row of the dataTable. EL can be used in this attribute to produce conditional row styling.

      Specified by:
        `getRowStyleClass` in interface `IDataTable`

    - #### setRowUnselectListener

          public void setRowUnselectListener(javax.el.MethodExpression rowUnselectListener)

      Set the value of the `rowUnselectListener` property.

      Contents: MethodExpression reference called whenever a table element is deselected. The method receives a single argument, UnselectEvent.

      Specified by:
        `setRowUnselectListener` in interface `IDataTable`

    - #### getRowUnselectListener

          public javax.el.MethodExpression getRowUnselectListener()

      Return the value of the `rowUnselectListener` property.

      Contents: MethodExpression reference called whenever a table element is deselected. The method receives a single argument, UnselectEvent.

      Specified by:
        `getRowUnselectListener` in interface `IDataTable`

    - #### setRows

          public void setRows(int rows)

      Set the value of the `rows` property.

      Contents: The number of rows to be displayed, or zero to display the entire set of available rows.

      Specified by:
        `setRows` in interface `IDataTable`
      Overrides:
        `setRows` in class `javax.faces.component.UIData`

    - #### getRows

          public int getRows()

      Return the value of the `rows` property.

      Contents: The number of rows to be displayed, or zero to display the entire set of available rows. Default = '0'.

      Specified by:
        `getRows` in interface `IDataTable`
      Overrides:
        `getRows` in class `javax.faces.component.UIData`

    - #### setRowsPerPageTemplate

          public void setRowsPerPageTemplate(java.lang.String rowsPerPageTemplate)

      Set the value of the `rowsPerPageTemplate` property.

      Contents: Defines a list of comma separated integer values that represent the options of "number of items per page" presented to the user. "all" is a special keyword that allowsa user to reset the pagination offset show all rows. The "all" option label is defined by the message key "org.icefaces.ace.component.datatable.ALL_LABEL". Any non-numerical value other than "all" will cause a NumberFormatException.

      Specified by:
        `setRowsPerPageTemplate` in interface `IDataTable`

    - #### getRowsPerPageTemplate

          public java.lang.String getRowsPerPageTemplate()

      Return the value of the `rowsPerPageTemplate` property.

      Contents: Defines a list of comma separated integer values that represent the options of "number of items per page" presented to the user. "all" is a special keyword that allowsa user to reset the pagination offset show all rows. The "all" option label is defined by the message key "org.icefaces.ace.component.datatable.ALL_LABEL". Any non-numerical value other than "all" will cause a NumberFormatException.

      Specified by:
        `getRowsPerPageTemplate` in interface `IDataTable`

    - #### setScrollHeight

          public void setScrollHeight(java.lang.Integer scrollHeight)

      Set the value of the `scrollHeight` property.

      Contents: Defines a fixed height for the scrollable table in pixels.

      Specified by:
        `setScrollHeight` in interface `IDataTable`

    - #### getScrollHeight

          public java.lang.Integer getScrollHeight()

      Return the value of the `scrollHeight` property.

      Contents: Defines a fixed height for the scrollable table in pixels. Default = '100'.

      Specified by:
        `getScrollHeight` in interface `IDataTable`

    - #### setScrollWidthIE7

          public void setScrollWidthIE7(java.lang.String scrollWidthIE7)

      Set the value of the `scrollWidthIE7` property.

      Contents: When using the DataTable scrollable mode, the IE7 configuration gives an equal width to evey column, and defaults to 100% width. This implies there is never a horizontal scrollbar for the table, unless a fixed width is used on the table or the container of the table. Ratherthan doing this via CSS, this property will apply (via JS) the given width and necessary overflow rules to the ancestors of the DataTable elements to produce a scrollbar.Other browsers will produce a horizontal scrollbar automatically when required and this property is ignored.

      Specified by:
        `setScrollWidthIE7` in interface `IDataTable`

    - #### getScrollWidthIE7

          public java.lang.String getScrollWidthIE7()

      Return the value of the `scrollWidthIE7` property.

      Contents: When using the DataTable scrollable mode, the IE7 configuration gives an equal width to evey column, and defaults to 100% width. This implies there is never a horizontal scrollbar for the table, unless a fixed width is used on the table or the container of the table. Ratherthan doing this via CSS, this property will apply (via JS) the given width and necessary overflow rules to the ancestors of the DataTable elements to produce a scrollbar.Other browsers will produce a horizontal scrollbar automatically when required and this property is ignored.

      Specified by:
        `getScrollWidthIE7` in interface `IDataTable`

    - #### setScrollable

          public void setScrollable(boolean scrollable)

      Set the value of the `scrollable` property.

      Contents: Enabling renders a table that overflows the fixed height and adds a scrollbar. Note, used in combination with multi-row headers defined by a ColumnGroupcomponent, it is assumed that every body column of the table will have a associated single column spanning header column on the bottom row of the multi-row header. This is to allow for appropriate sizing of the scrollable column and the associated header td. Note,in IE7, the CSS/DOM engine doesn't suport the dynamic adjustments required for this feature andinstead the feature uses a fixed, equal size for each column of the table.

      Specified by:
        `setScrollable` in interface `IDataTable`

    - #### isScrollable

          public boolean isScrollable()

      Return the value of the `scrollable` property.

      Contents: Enabling renders a table that overflows the fixed height and adds a scrollbar. Note, used in combination with multi-row headers defined by a ColumnGroupcomponent, it is assumed that every body column of the table will have a associated single column spanning header column on the bottom row of the multi-row header. This is to allow for appropriate sizing of the scrollable column and the associated header td. Note,in IE7, the CSS/DOM engine doesn't suport the dynamic adjustments required for this feature andinstead the feature uses a fixed, equal size for each column of the table.

      Specified by:
        `isScrollable` in interface `IDataTable`

    - #### setSelectionMode

          public void setSelectionMode(java.lang.String selectionMode)

      Set the value of the `selectionMode` property.

      Contents: Defines a code word indicating method of table element selection. Available values include: "multiple", "single", "enhMultiple", "cellblock", "cellrange", "multiplecell" and "singlecell". The enhanced multiple mode ("enhMultiple") works in the following way. Single clicking a row will select it and deselect all other rows. No toggling occurs unless the Ctrl/Command key is held, in which case the other rows won't be deselected. Holding the Shift key will cause the range of rows between the last selected row and the current one to be selected.

      Specified by:
        `setSelectionMode` in interface `IDataTable`

    - #### getSelectionMode

          public java.lang.String getSelectionMode()

      Return the value of the `selectionMode` property.

      Contents: Defines a code word indicating method of table element selection. Available values include: "multiple", "single", "enhMultiple", "cellblock", "cellrange", "multiplecell" and "singlecell". The enhanced multiple mode ("enhMultiple") works in the following way. Single clicking a row will select it and deselect all other rows. No toggling occurs unless the Ctrl/Command key is held, in which case the other rows won't be deselected. Holding the Shift key will cause the range of rows between the last selected row and the current one to be selected.

      Specified by:
        `getSelectionMode` in interface `IDataTable`

    - #### setSingleSort

          public void setSingleSort(boolean singleSort)

      Set the value of the `singleSort` property.

      Contents: Disables sorting for multiple columns at once. Sorting is enabled by the use of sortBy on ace:column components.

      Specified by:
        `setSingleSort` in interface `IDataTable`

    - #### isSingleSort

          public boolean isSingleSort()

      Return the value of the `singleSort` property.

      Contents: Disables sorting for multiple columns at once. Sorting is enabled by the use of sortBy on ace:column components. Default = 'false'.

      Specified by:
        `isSingleSort` in interface `IDataTable`

    - #### setStateMap

          public void setStateMap(RowStateMap stateMap)

      Set the value of the `stateMap` property.

      Contents: Defines a map of your row data objects to UI states. Row-level features (selection, expansion, etc.) are manipulable through this repository.

      Specified by:
        `setStateMap` in interface `IDataTable`

    - #### getStateMap

          public RowStateMap getStateMap()

      Return the value of the `stateMap` property.

      Contents: Defines a map of your row data objects to UI states. Row-level features (selection, expansion, etc.) are manipulable through this repository.

      Specified by:
        `getStateMap` in interface `IDataTable`

    - #### setStaticHeaders

          public void setStaticHeaders(java.lang.Boolean staticHeaders)

      Set the value of the `staticHeaders` property.

      Contents: Enable the default scrollable table behaviour of using JavaScript to size a table header and footer that are in a fixed position regardless of table body scrolling.

      Specified by:
        `setStaticHeaders` in interface `IDataTable`

    - #### isStaticHeaders

          public java.lang.Boolean isStaticHeaders()

      Return the value of the `staticHeaders` property.

      Contents: Enable the default scrollable table behaviour of using JavaScript to size a table header and footer that are in a fixed position regardless of table body scrolling. Default = 'true'.

      Specified by:
        `isStaticHeaders` in interface `IDataTable`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Custom inline CSS styles to use for this component. These styles are generally applied to the root DOM element of the component. This is intended for per-component basic style customizations. Note that due to browser CSS precedence rules, CSS rendered on a DOM element will take precedence over the external stylesheets used to provide the ThemeRoller theme on this component. If the CSS properties applied with this attribute do not affect the DOM element you want to style, you may need to create a custom theme styleClass for the theme CSS class that targets the particular DOM elements you wish to customize.

      Specified by:
        `setStyle` in interface `IDataTable`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Custom inline CSS styles to use for this component. These styles are generally applied to the root DOM element of the component. This is intended for per-component basic style customizations. Note that due to browser CSS precedence rules, CSS rendered on a DOM element will take precedence over the external stylesheets used to provide the ThemeRoller theme on this component. If the CSS properties applied with this attribute do not affect the DOM element you want to style, you may need to create a custom theme styleClass for the theme CSS class that targets the particular DOM elements you wish to customize.

      Specified by:
        `getStyle` in interface `IDataTable`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Custom CSS style class(es) to use for this component. These style classes can be defined in your page or in a theme CSS file.

      Specified by:
        `setStyleClass` in interface `IDataTable`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Custom CSS style class(es) to use for this component. These style classes can be defined in your page or in a theme CSS file.

      Specified by:
        `getStyleClass` in interface `IDataTable`

    - #### setTabIndex

          public void setTabIndex(java.lang.Integer tabIndex)

      Set the value of the `tabIndex` property.

      Contents: Defines a tabindex to be shared by all keyboard navigable elements of the table. This includes sort controls, filter fields and individual rows themselves.

      Specified by:
        `setTabIndex` in interface `IDataTable`

    - #### getTabIndex

          public java.lang.Integer getTabIndex()

      Return the value of the `tabIndex` property.

      Contents: Defines a tabindex to be shared by all keyboard navigable elements of the table. This includes sort controls, filter fields and individual rows themselves. Default = '0'.

      Specified by:
        `getTabIndex` in interface `IDataTable`

    - #### setToggleOnInvalidEdit

          public void setToggleOnInvalidEdit(java.lang.Boolean toggleOnInvalidEdit)

      Set the value of the `toggleOnInvalidEdit` property.

      Contents: Enable the the client to revert the edited row with the default state following a failed edit. By default when validation fails during a row editing request the row remains in editing mode.

      Specified by:
        `setToggleOnInvalidEdit` in interface `IDataTable`

    - #### isToggleOnInvalidEdit

          public java.lang.Boolean isToggleOnInvalidEdit()

      Return the value of the `toggleOnInvalidEdit` property.

      Contents: Enable the the client to revert the edited row with the default state following a failed edit. By default when validation fails during a row editing request the row remains in editing mode. Default = 'false'.

      Specified by:
        `isToggleOnInvalidEdit` in interface `IDataTable`

    - #### setWidgetVar

          public void setWidgetVar(java.lang.String widgetVar)

      Set the value of the `widgetVar` property.

      Contents: The JavaScript global component instance name. Must be unique among components on a page.

      Specified by:
        `setWidgetVar` in interface `IDataTable`

    - #### getWidgetVar

          public java.lang.String getWidgetVar()

      Return the value of the `widgetVar` property.

      Contents: The JavaScript global component instance name. Must be unique among components on a page.

      Specified by:
        `getWidgetVar` in interface `IDataTable`

    - #### setApplyingFilters

          public void setApplyingFilters(java.lang.Boolean applyingFilters)

      Set the value of the `applyingFilters` property.

      Specified by:
        `setApplyingFilters` in interface `IDataTable`

    - #### isApplyingFilters

          public java.lang.Boolean isApplyingFilters()

      Return the value of the `applyingFilters` property.

      Specified by:
        `isApplyingFilters` in interface `IDataTable`

    - #### setApplyingSorts

          public void setApplyingSorts(java.lang.Boolean applyingSorts)

      Set the value of the `applyingSorts` property.

      Specified by:
        `setApplyingSorts` in interface `IDataTable`

    - #### isApplyingSorts

          public java.lang.Boolean isApplyingSorts()

      Return the value of the `applyingSorts` property.

      Specified by:
        `isApplyingSorts` in interface `IDataTable`

    - #### setCachedGlobalFilter

          public void setCachedGlobalFilter(java.lang.Object cachedGlobalFilter)

      Set the value of the `cachedGlobalFilter` property.

      Specified by:
        `setCachedGlobalFilter` in interface `IDataTable`

    - #### getCachedGlobalFilter

          public java.lang.Object getCachedGlobalFilter()

      Return the value of the `cachedGlobalFilter` property.

      Specified by:
        `getCachedGlobalFilter` in interface `IDataTable`

    - #### setFilteredData

          public void setFilteredData(java.util.List filteredData)

      Set the value of the `filteredData` property.

      Specified by:
        `setFilteredData` in interface `IDataTable`

    - #### getFilteredData

          public java.util.List getFilteredData()

      Return the value of the `filteredData` property.

      Specified by:
        `getFilteredData` in interface `IDataTable`

    - #### setForcedUpdateCounter

          public void setForcedUpdateCounter(java.lang.Integer forcedUpdateCounter)

      Set the value of the `forcedUpdateCounter` property.

      Specified by:
        `setForcedUpdateCounter` in interface `IDataTable`

    - #### getForcedUpdateCounter

          public java.lang.Integer getForcedUpdateCounter()

      Return the value of the `forcedUpdateCounter` property.

      Specified by:
        `getForcedUpdateCounter` in interface `IDataTable`

    - #### setLastReordering

          public void setLastReordering(java.lang.Long lastReordering)

      Set the value of the `lastReordering` property.

      Specified by:
        `setLastReordering` in interface `IDataTable`

    - #### getLastReordering

          public java.lang.Long getLastReordering()

      Return the value of the `lastReordering` property.

      Specified by:
        `getLastReordering` in interface `IDataTable`

    - #### setTableConfigPanel

          public void setTableConfigPanel(java.lang.String tableConfigPanel)

      Set the value of the `tableConfigPanel` property.

      Specified by:
        `setTableConfigPanel` in interface `IDataTable`

    - #### getTableConfigPanel

          public java.lang.String getTableConfigPanel()

      Return the value of the `tableConfigPanel` property.

      Specified by:
        `getTableConfigPanel` in interface `IDataTable`

    - #### setValueHashCode

          public void setValueHashCode(java.lang.Integer valueHashCode)

      Set the value of the `valueHashCode` property.

      Specified by:
        `setValueHashCode` in interface `IDataTable`

    - #### getValueHashCode

          public java.lang.Integer getValueHashCode()

      Return the value of the `valueHashCode` property.

      Specified by:
        `getValueHashCode` in interface `IDataTable`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIData`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.